{
  "name": "有声合成平台",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "build": "cross-env NODE_ENV=production rspack --mode=production --config ./config/rspack.prod.config.ts build",
    "dev": "cross-env NODE_ENV=development rspack --mode=development --config ./config/rspack.dev.config.ts dev",
    "format": "prettier --write .",
    "lint": "eslint --config ./eslint.config.mjs .",
    "preview": "rspack preview",
    "prepare": "husky"
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx,vue}": [
      "eslint --config ./eslint.config.mjs --fix",
      "prettier --write"
    ],
    "*.{css,scss,less}": [
      "prettier --write"
    ],
    "*.{json,md}": [
      "prettier --write"
    ]
  },
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@tailwindcss/postcss": "^4.1.11",
    "@vueuse/core": "^13.5.0",
    "ant-design-vue": "^4.2.6",
    "axios": "^1.9.0",
    "dayjs": "^1.11.13",
    "mitt": "^3.0.1",
    "motion-v": "^1.5.0",
    "pinia": "^3.0.3",
    "postcss": "^8.5.6",
    "postcss-loader": "^8.1.1",
    "qs": "^6.14.0",
    "query-string": "^9.2.2",
    "svg-sprite-loader": "^6.0.11",
    "tailwindcss": "^4.1.11",
    "vue": "^3.5.13",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@rspack/cli": "^1.3.10",
    "@rspack/core": "^1.3.10",
    "@types/node": "^22.15.19",
    "@types/qs": "^6.14.0",
    "@vue/eslint-config-typescript": "^14.5.0",
    "cross-env": "^7.0.3",
    "css-loader": "^7.1.2",
    "dotenv": "^16.5.0",
    "eslint": "^9.23.0",
    "eslint-config-prettier": "^10.1.5",
    "eslint-plugin-vue": "^10.0.0",
    "eslint-rspack-plugin": "^4.2.1",
    "globals": "^16.0.0",
    "husky": "^9.1.7",
    "lint-staged": "^16.1.0",
    "prettier": "^3.5.3",
    "sass-embedded": "^1.89.0",
    "sass-loader": "^16.0.5",
    "style-loader": "^4.0.0",
    "ts-node": "^10.9.2",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.29.0",
    "unplugin-auto-import": "^19.2.0",
    "unplugin-vue-components": "^28.7.0",
    "vue-loader": "^17.4.2",
    "webpack-merge": "^6.0.1"
  }
}
